IF  EXISTS (SELECT * FROM sys.triggers WHERE object_id = OBJECT_ID(N'[dbo].[TRG_EST_NFE_CONC_FINAN_ECONF_PEND]'))
	DROP TRIGGER [dbo].[TRG_EST_NFE_CONC_FINAN_ECONF_PEND]
GO

CREATE TRIGGER [dbo].[TRG_EST_NFE_CONC_FINAN_ECONF_PEND] ON [dbo].[EST_NFE_CONC_FINAN_ECONF] FOR INSERT AS

--Pendência de emissao de carta de correcao
INSERT INTO EST_NFE_CONC_FINAN_ECONF_PEND(CD_CTR_CONC_FINAN_ECONF   , DT_CAD, PEND_SOLUC)
	SELECT 
		t.CD_CTR_CONC_FINAN_ECONF   , 
		GETDATE(),
		0
    FROM 
    	INSERTED t 
	WHERE 				
		NOT EXISTS (SELECT 
						pend.CD_CTR_CONC_FINAN_ECONF    
					FROM 
						EST_NFE_CONC_FINAN_ECONF_PEND pend
					WHERE 
						t.CD_CTR_CONC_FINAN_ECONF    = pend.CD_CTR_CONC_FINAN_ECONF   );



